This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 742010 - Logitech WebCam C300 microphone produces squeaky "chipmunk" audio
Logitech WebCam C300 microphone produces squeaky "chipmunk" audio
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-28 15:07 EDT by Jon Levell
Modified: 2011-11-17 18:29 EST (History)
7 users (show)

See Also:
Fixed In Version: kernel-2.6.41.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-05 19:58:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Trivial patch to fix sound from C300 webcam (660 bytes, patch)
2011-09-28 15:07 EDT, Jon Levell
no flags Details | Diff

  None (edit)
Description Jon Levell 2011-09-28 15:07:46 EDT
Created attachment 525387 [details]
Trivial patch to fix sound from C300 webcam

At F15 release the Logitech WebCam C300 webcam worked fine (audio & video), an updated kernel made the audio from the microphone sound incredibly fast/high-pitched/squeaky/"chipmunk"ed.

I found this other bug for closely related webcams:
https://bugzilla.redhat.com/show_bug.cgi?id=729269

From that page, I found:
https://bbs.archlinux.org/viewtopic.php?id=121607&p=3

I then modified the patch mentioned to fix the microphone.

Supplied (trivial) patch is against kernel 2.6.40.4-5.fc15

lsusb shows for my device:
Bus 001 Device 002: ID 046d:0805 Logitech, Inc. Webcam C300

(For people finding this page via Google before a fix is available, the patch is just a couple of lines and you can easily compile your own kernel based on the instructions:
http://fedoraproject.org/wiki/Building_a_custom_kernel  )
Comment 1 Josh Boyer 2011-09-28 15:28:18 EDT
Can you send this patch upstream?  We have a version of Oliver Neukum's patch that adds this quirk for a number of devices, but it isn't the latest version.  The latest seems to be:

http://article.gmane.org/gmane.linux.usb.general/52027

Which still isn't upstream afaik, and it also doesn't include the ID you have here.

Can you send your addition to Oliver with the linux-usb list on CC?
Comment 2 Jon Levell 2011-09-28 16:31:54 EDT
I've done as you suggest (though I can't seem to get vger to let me subscribe to the linux-usb list), could the fix be included in F15/F16 builds in the meantime?
Comment 3 Josh Boyer 2011-09-29 11:35:56 EDT
I've updated the quirk patch to the latest one I pointed to in comment #1, and included your addition.  It will be in the next f15-rawhide kernel builds.

Please continue working with upstream to get this added there.
Comment 4 Jon Levell 2011-09-29 18:21:45 EDT
Thanks Josh,

You're a scholar and a gentleman! (GregKH has now applied the patch to usb-next).
#fedora on BlueNet is worse for your absense.

Jon.
Comment 5 qi cheng 2011-09-30 21:39:54 EDT
Josh, 

Bus 001 Device 002: ID 046d:0808 Logitech, Inc. Webcam C600

has similar problem. Please add the device in your fix.

Thanks a lot,

Qi
Comment 6 Fedora Update System 2011-10-04 10:14:01 EDT
kernel-2.6.40.6-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.6-0.fc15
Comment 7 Fedora Update System 2011-10-04 23:58:38 EDT
Package kernel-2.6.40.6-0.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40.6-0.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.40.6-0.fc15
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-10-05 19:58:22 EDT
kernel-2.6.40.6-0.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 qi cheng 2011-10-13 15:22:58 EDT
The problem for Logitech Webcam C600 remains after installing
the new kernel (2.6.40.6-0). 
It works fine upon a reboot. Then the microphone will be off
and on randomly, and when it is on, it produces chipmunk sound.

BTW, the microphone works fine when I had Fedora 13. 
Is there a way for me to get back to 13's kernel (2.6.33?)?

Thanks,

Qi
Comment 10 Josh Boyer 2011-10-13 15:39:40 EDT
(In reply to comment #9)
> The problem for Logitech Webcam C600 remains after installing
> the new kernel (2.6.40.6-0). 

I didn't get that ID included in the patch before the kernel was built.  I'll update the patch again to add it.
Comment 11 Josh Boyer 2011-10-14 11:54:02 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > The problem for Logitech Webcam C600 remains after installing
> > the new kernel (2.6.40.6-0). 
> 
> I didn't get that ID included in the patch before the kernel was built.  I'll
> update the patch again to add it.

This kernel contains the C600 ID:

http://koji.fedoraproject.org/koji/buildinfo?buildID=268541

Future F15-rawhide kernel updates will contain it as well.
Comment 12 qi cheng 2011-10-14 17:57:47 EDT
The new kernel 2.6.40.6-2 fixes the problem for C600. Thanks a lot, --Qi
Comment 13 Fedora Update System 2011-10-17 17:53:55 EDT
kernel-2.6.40.7-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.7-0.fc15
Comment 14 Fedora Update System 2011-10-24 11:12:59 EDT
kernel-2.6.40.7-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.7-3.fc15
Comment 15 Fedora Update System 2011-10-27 10:13:13 EDT
kernel-2.6.40.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.8-2.fc15
Comment 16 Fedora Update System 2011-11-01 15:59:17 EDT
kernel-2.6.40.8-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.8-4.fc15
Comment 17 hasuf 2011-11-06 14:29:29 EST
Hi, are you able to add an entry for 

Bus 002 Device 006: ID 046d:080a Logitech, Inc. Portable Webcam C905?
Comment 18 hasuf 2011-11-06 16:08:50 EST
btw, confirmed that this 

+       /* Logitech Webcam C905 */
+       { USB_DEVICE(0x046d, 0x080a), .driver_info = USB_QUIRK_RESET_RESUME },

did the trick for me.
Comment 19 Josh Boyer 2011-11-07 10:41:40 EST
(In reply to comment #17)
> Hi, are you able to add an entry for 
> 
> Bus 002 Device 006: ID 046d:080a Logitech, Inc. Portable Webcam C905?

At this point it's better to send it directly to upstream.  Can you do that?
Comment 20 Fedora Update System 2011-11-11 19:08:21 EST
kernel-2.6.41.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.41.1-1.fc15
Comment 21 Fedora Update System 2011-11-17 18:29:01 EST
kernel-2.6.41.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.